Index: /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_tvd.F90
===================================================================
--- /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_tvd.F90	(revision 4451)
+++ /branches/2011/DEV_r2739_STFC_dCSE/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_tvd.F90	(revision 4452)
@@ -163,5 +163,5 @@
          ! --------------------------------------------------------------------
          ! upstream tracer flux in the i and j direction
-         CALL timing_start('tvd_upstream')
+         !CALL timing_start('tvd_upstream')
 #if defined key_z_first
          DO jj = 1, jpjm1
@@ -183,9 +183,9 @@
             END DO
          END DO
-         CALL timing_stop('tvd_upstream','section')
+         !CALL timing_stop('tvd_upstream','section')
 
          ! upstream tracer flux in the k direction
          ! Surface value
-         CALL timing_start('tvd_upstreamk')
+         !CALL timing_start('tvd_upstreamk')
          IF( lk_vvl ) THEN   ;   zwz(:,:, 1 ) = 0.e0                         ! volume variable
          ELSE                ;   zwz(:,:, 1 ) = pwn(:,:,1) * ptb(:,:,1,jn)   ! linear free surface 
@@ -207,8 +207,8 @@
             END DO
          END DO
-         CALL timing_stop('tvd_upstreamk','section')
+         !CALL timing_stop('tvd_upstreamk','section')
 
          ! total advective trend
-         CALL timing_start('tvd_tot')
+         !CALL timing_start('tvd_tot')
 #if defined key_z_first
          DO jj = 2, jpjm1
@@ -233,10 +233,10 @@
             END DO
          END DO
-         CALL timing_stop('tvd_tot','section')
+         !CALL timing_stop('tvd_tot','section')
 
          !                             ! Lateral boundary conditions on zwi  (unchanged sign)
-         CALL timing_start('tvd_lbc')
+         !CALL timing_start('tvd_lbc')
          CALL lbc_lnk( zwi, 'T', 1. )  
-         CALL timing_stop('tvd_lbc','section')
+         !CALL timing_stop('tvd_lbc','section')
 
          !                                 ! trend diagnostics (contribution of upstream fluxes)
@@ -254,5 +254,5 @@
          ! --------------------------------------------------
          ! antidiffusive flux on i and j
-         CALL timing_start('tvd_antidiff')
+         !CALL timing_start('tvd_antidiff')
 #if defined key_z_first
          DO jj = 1, jpjm1
@@ -269,8 +269,8 @@
             END DO
          END DO
-         CALL timing_stop('tvd_antidiff','section')
+         !CALL timing_stop('tvd_antidiff','section')
       
          ! antidiffusive flux on k
-         CALL timing_start('tvd_antidiffk')
+         !CALL timing_start('tvd_antidiffk')
 #if defined key_z_first
          DO jj = 1, jpj
@@ -289,10 +289,10 @@
             END DO
          END DO
-         CALL timing_stop('tvd_antidiffk','section')
-
-         CALL timing_start('tvd_lbc')
+         !CALL timing_stop('tvd_antidiffk','section')
+
+         !CALL timing_start('tvd_lbc')
          CALL lbc_lnk( zwx, 'U', -1. )   ;   CALL lbc_lnk( zwy, 'V', -1. )         ! Lateral bondary conditions
          CALL lbc_lnk( zwz, 'W',  1. )
-         CALL timing_stop('tvd_lbc','section')
+         !CALL timing_stop('tvd_lbc','section')
 
          ! 4. monotonicity algorithm
@@ -305,5 +305,5 @@
          ! 5. final trend with corrected fluxes
          ! ------------------------------------
-         CALL timing_start('tvd_finaltr')
+         !CALL timing_start('tvd_finaltr')
 #if defined key_z_first
          DO jj = 2, jpjm1
@@ -342,5 +342,5 @@
          ENDIF
          !
-         CALL timing_stop('tvd_finaltr','section')
+         !CALL timing_stop('tvd_finaltr','section')
 
       END DO
@@ -473,7 +473,7 @@
          END DO
       END DO
-      CALL timing_start('tvd_lbc')
+      !CALL timing_start('tvd_lbc')
       CALL lbc_lnk( zbetup, 'T', 1. )   ;   CALL lbc_lnk( zbetdo, 'T', 1. )   ! lateral boundary cond. (unchanged sign)
-      CALL timing_stop('tvd_lbc','section')
+      !CALL timing_stop('tvd_lbc','section')
 
 
@@ -509,7 +509,7 @@
          END DO
       END DO
-      CALL timing_start('tvd_lbc')
+      !CALL timing_start('tvd_lbc')
       CALL lbc_lnk( paa, 'U', -1. )   ;   CALL lbc_lnk( pbb, 'V', -1. )   ! lateral boundary condition (changed sign)
-      CALL timing_stop('tvd_lbc','section')
+      !CALL timing_stop('tvd_lbc','section')
 
       !