Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_AMOC.pro
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_AMOC.pro	(revision 4494)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_AMOC.pro	(revision 4495)
@@ -98,7 +98,9 @@
         ,  small = [1, 2, 1],  TITLE = title, YTITLE = varunit, _extra = ex
   IF prefix NE prefix2 then begin
-    title = prefix+' '+d1_d2+' - '+prefix2+' '+d1_d2_2+'!C'+'Max Atlantic MOC between 40N and 50N'
-    pltt, t45 - t45_2, 't', -9., 9., date1, date2, /REMPLI, /NOERASE $
-          ,  COLOR = 250, small = [1, 2, 2],  TITLE = title, YTITLE = varunit, _extra = ex
+    title = prefix+' (BLACK) - '+prefix2+' (RED) '+d1_d2_2+'!C'+'Max Atlantic MOC between 40N and 50N'
+    pltt, t45, 't', 0., 30., date1, date2, /REMPLI, /NOERASE $
+          ,  small = [1, 2, 2],  TITLE = title, YTITLE = varunit, _extra = ex ; BLACK
+    pltt, t45_2, 't', 0., 30., date1, date2, /REMPLI, /NOERASE $
+          ,  /ov1d, COLOR = 250, small = [1, 2, 2],  TITLE = title, YTITLE = varunit, _extra = ex ; RED
   endif
   
@@ -111,7 +113,9 @@
         , small = [1, 2, 1],  TITLE = title, YTITLE = varunit, _extra = ex
   if prefix NE prefix2 then begin 
-    title = prefix+' '+d1_d2+' - '+prefix2+' '+d1_d2_2+'!C'+'Max AntArctic Bottom Water between 80S and 65S'
-    pltt, -t70 + t70_2, 't', -5., 5., date1, date2, /REMPLI, /NOERASE $
-          ,  COLOR = 250, small = [1, 2, 2],  TITLE = title, YTITLE = varunit, _extra = ex
+    title = prefix+' (BLACK) - '+prefix2+' (RED) '+d1_d2_2+'!C'+'Max AntArctic Bottom Water between 80S and 65S'
+    pltt, -t70, 't', 0., 20., date1, date2, /REMPLI, /NOERASE $
+          ,  small = [1, 2, 2],  TITLE = title, YTITLE = varunit, _extra = ex ; BLACK
+    pltt, -t70_2, 't', 0., 20., date1, date2, /REMPLI, /NOERASE $
+          , /ov1d, COLOR = 250, small = [1, 2, 2],  TITLE = title, YTITLE = varunit, _extra = ex ; RED
   endif
   
@@ -124,7 +128,9 @@
         ,  small = [1, 2, 1],  TITLE = title, YTITLE = varunit, _extra = ex
   if prefix NE prefix2 then begin
-    title = prefix+' '+d1_d2+' - '+prefix2+' '+d1_d2_2+'!C'+'Max AntArctic Bottom Cell between 65S and 30N'
-    pltt, -t50 + t50_2, 't', -5., 5., date1, date2, /REMPLI, /NOERASE  $
-          ,  COLOR = 250, small = [1, 2, 2],  TITLE = title, YTITLE = varunit, _extra = ex
+    title = prefix+' (BLACK) - '+prefix2+' (RED) '+d1_d2_2+'!C'+'Max AntArctic Bottom Cell between 65S and 30N'
+    pltt, -t50 , 't', 5., 30., date1, date2, /REMPLI, /NOERASE  $
+          ,  small = [1, 2, 2],  TITLE = title, YTITLE = varunit, _extra = ex ; BLACK
+    pltt, -t50_2, 't', 5., 30., date1, date2, /REMPLI, /NOERASE  $
+          , /ov1d, COLOR = 250, small = [1, 2, 2],  TITLE = title, YTITLE = varunit, _extra = ex ; RED
   endif
   
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_Drake.pro
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_Drake.pro	(revision 4494)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_Drake.pro	(revision 4495)
@@ -59,7 +59,9 @@
     time = tsave   &   IF n_elements(time) NE jpt THEN stop
 
-    title = prefix+' '+d1_d2+' - '+prefix2+' '+d1_d2_2+'!C'+blabla
-    pltt, drk1 - drk2, 't', -30., 30., date1, date2, /REMPLI, /NOERASE $
-          , COLOR = 250, small = [1, 2, 2],  TITLE = title, YTITLE = varunit, _extra = ex
+    title = prefix+' (BLACK) - '+prefix2+' (RED)  '+d1_d2_2+'!C'+blabla
+    pltt, drk1 , 't', 0., 200., date1, date2, /REMPLI, /NOERASE $
+          , COLOR = 000, small = [1, 2, 2],  TITLE = title, YTITLE = varunit, _extra = ex ; BLACK
+    pltt, drk2, 't', 0., 200., date1, date2, /REMPLI, /NOERASE $
+          , /ov1d, COLOR = 250, small = [1, 2, 2],  TITLE = title, YTITLE = varunit, _extra = ex ; RED
     
   endif
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE.pro
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE.pro	(revision 4494)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE.pro	(revision 4495)
@@ -88,24 +88,24 @@
   ICE_S_15 = {arr:ICE_S_15 * 1.e-12, unit : '10^12 m^2'}
   ;
-  title = 'Northern Hemisphere'+'!C'+prefix+' '+d1_d2+'!C'+' Global Annual Mean Ice Area (BLACK)'+'!C'+ 'and Extend minus 15% (BLUE)'+'!C'+'Observation (DASHED)'
+  title = 'Northern Hemisphere'+'!C'+prefix+' (BLACK) '+d1_d2+'!C'+'OBSERVATION (light blue) '+'!C'+' Global Annual Mean Ice Area (CONTINUOUS) '+'!C'+ 'and Extend minus 15% (DASHED)'
   jpt=12
   time=julday(1,15,1900)+30*lindgen(12)
-  pltt, ICE_N, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, MIN = 4., MAX = 16. $
+  pltt, ICE_N, 't', 0., 15., /REMPLI, /PORTRAIT, MIN = 4., MAX = 16. $
        , COLOR = 000 , small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-  pltt, ICE_N_15, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $       ;;; dashed lines is LINESTYLE=2  $
+  pltt, ICE_N_15, 't', 0., 15., /REMPLI, /PORTRAIT, LINESTYLE=2 $       ;;; dashed lines is LINESTYLE=2  $
         , /ov1d, COLOR = 000, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex 
-  pltt, vICE_area_NH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT $ 
+  pltt, vICE_area_NH, 't', 0., 15.,  /REMPLI, /PORTRAIT $ 
         , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-  pltt, vICE_ext_NH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $   ;;; dashed lines is LINESTYLE=2  $
+  pltt, vICE_ext_NH, 't', 0., 15.,  /REMPLI, /PORTRAIT, LINESTYLE=2 $   ;;; dashed lines is LINESTYLE=2  $
         , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
 ;
-  title ='Southern Hemisphere !C'+prefix+' '+d1_d2+' - '+'!C'+'Global Annual Mean Ice Area (BLACK)'+'!C'+ 'and Extend minus 15% (BLUE)'+'!C'+'Observation (DASHED)'
-  pltt, ICE_S, 't', 0., 15.,19000101 ,19001231 , /REMPLI, /NOERASE , MIN = 0., MAX = 20. $
+  title = 'Southern Hemisphere'+'!C'+prefix+' (BLACK) '+d1_d2+'!C'+'OBSERVATION (light blue) '+'!C'+' Global Annual Mean Ice Area (CONTINUOUS) '+'!C'+ 'and Extend minus 15% (DASHED)'
+  pltt, ICE_S, 't', 0., 15., /REMPLI, /NOERASE , MIN = 0., MAX = 20. $
         ,COLOR = 000, small = [1, 2, 2], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-  pltt, ICE_S_15, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
+  pltt, ICE_S_15, 't', 0., 15., /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
         , /ov1d, COLOR = 000, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex 
-  pltt,  vICE_area_SH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT $ 
+  pltt,  vICE_area_SH, 't', 0., 15., /REMPLI, /PORTRAIT $ 
          , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-  pltt,  vICE_ext_SH, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
+  pltt,  vICE_ext_SH, 't', 0., 15., /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
         , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
 ;
@@ -162,30 +162,30 @@
   jpt=12
   time=julday(1,15,1900)+30*lindgen(12)
-  pltt, ICE_N.arr, 't', -.2, .2, 19000101, 19001231, /REMPLI, /PORTRAIT,MIN = 4., MAX = 16., window = 2 $
+  pltt, ICE_N, 't', -.2, .2,  /REMPLI, /PORTRAIT, MIN = 4., MAX = 16., window = 2 $
         , COLOR = 000, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex ; BLACK
-  pltt, ICE_N2.arr, 't', -.2, .2, 19000101, 19001231, /REMPLI, /PORTRAIT, window = 2 $
+  pltt, ICE_N2, 't', -.2, .2,  /REMPLI, /PORTRAIT $
         , /ov1d, COLOR = 250, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex  ; RED
-  pltt, ICE_N_15.arr, 't', -.2, .2, 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ ; linee tratteggiate LINESTYLE=2  $
+  pltt, ICE_N_15, 't', -.2, .2,  /REMPLI, /PORTRAIT, LINESTYLE=2 $ ; linee tratteggiate LINESTYLE=2  $
         , /ov1d, COLOR = 000, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex 
-  pltt, ICE_N2_15.arr , 't', -.2, .2, 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ ; linee tratteggiate LINESTYLE=2  $
+  pltt, ICE_N2_15, 't', -.2, .2, /REMPLI, /PORTRAIT, LINESTYLE=2 $ ; linee tratteggiate LINESTYLE=2  $
         , /ov1d, COLOR = 250, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-  pltt, vICE_area_NH, 't', -2., 2., 19000101, 19001231, /REMPLI, /PORTRAIT $ 
+  pltt, vICE_area_NH, 't', -2., 2.,  /REMPLI, /PORTRAIT $ 
         , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex  ; light blue
-  pltt, vICE_ext_NH, 't', -2., 2., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
+  pltt, vICE_ext_NH, 't', -2., 2.,  /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
         , /ov1d, COLOR = 100, small = [1, 2, 1], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex  ; blu scuro
 ;
   title ='Southern Hemisphere'+'!C'+prefix+' (BLACK) - '+prefix2+' (RED) '+d1_d2_2+'!C'+'OBSERVATION (light blue) '+'!C'+'Global Annual Mean Ice Area (CONTINUS)'+'!C'+ 'and Extend minus 15% (DASHED)'
 ;  title ='Southern Hemisphere'+'!C'
-  pltt, ICE_S.arr, 't', -2., 2., 19000101, 19001231, /REMPLI, /NOERASE, MIN = 0., MAX = 20. $
+  pltt, ICE_S.arr, 't', -2., 2.,  /REMPLI, /NOERASE, MIN = 0., MAX = 20. $
          , COLOR = 000, small = [1, 2, 2], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-  pltt, ICE_S2.arr, 't', -2., 2., 19000101, 19001231, /REMPLI, /NOERASE $
+  pltt, ICE_S2.arr, 't', -2., 2., /REMPLI, /NOERASE $
         , /ov1d, COLOR = 250, small = [1, 2, 2], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-  pltt, ICE_S_15.arr , 't', -2., 2., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ ; linee tratteggiate LINESTYLE=2  $
+  pltt, ICE_S_15.arr , 't', -2., 2.,  /REMPLI, /PORTRAIT, LINESTYLE=2 $ ; linee tratteggiate LINESTYLE=2  $
         , /ov1d, COLOR = 000, small = [1, 2, 2], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-  pltt, ICE_S2_15.arr , 't', -2., 2., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ ; linee tratteggiate LINESTYLE=2  $
+  pltt, ICE_S2_15.arr , 't', -2., 2.,  /REMPLI, /PORTRAIT, LINESTYLE=2 $ ; linee tratteggiate LINESTYLE=2  $
         , /ov1d, COLOR = 250, small = [1, 2, 2], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-  pltt,  vICE_area_SH, 't', -2., 2., 19000101, 19001231, /REMPLI, /PORTRAIT $ 
+  pltt,  vICE_area_SH, 't', -2., 2.,  /REMPLI, /PORTRAIT $ 
           , /ov1d, COLOR = 100, small = [1, 2, 2], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
-  pltt,  vICE_ext_SH, 't', -2., 2., 19000101, 19001231, /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
+  pltt,  vICE_ext_SH, 't', -2., 2.,  /REMPLI, /PORTRAIT, LINESTYLE=2 $ 
         , /ov1d, COLOR = 100, small = [1, 2, 2], YTITLE = '10^12 m^2 ', TITLE = title, _extra = ex
 ;
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_FRAM.pro
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_FRAM.pro	(revision 4494)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_FRAM.pro	(revision 4495)
@@ -71,9 +71,12 @@
   ICE_area_export = reform(ICE_area_export, 12, nyr)
   ICE_area_export = total(ICE_area_export,2)/nyr
-  ICE_area_export = {arr:ICE_area_export * 1.e-12 * 86400 * 365 , unit : '10^6 Km^2/year'}
+  ; ICE_area_export = {arr:ICE_area_export * 1.e-12 * 86400 * 365 , unit : '10^6 Km^2/year'}  ; annual mean
+  ICE_area_export = {arr:ICE_area_export * 1.e-12 * 86400 * 30 , unit : '10^6 Km^2/month'}    ; monthly mean
+  
   ;
   ICE_vol_export = reform(ICE_vol_export, 12, nyr)
   ICE_vol_export = total(ICE_vol_export,2)/nyr
-  ICE_vol_export = {arr:ICE_vol_export * 1.e-12 * 86400 * 365 , unit : '10^3 Km^3/year'}
+  ; ICE_vol_export = {arr:ICE_vol_export * 1.e-12 * 86400 * 365 , unit : '10^3 Km^3/year'}      ; annual mean
+  ICE_vol_export = {arr:ICE_vol_export * 1.e-12 * 86400 * 30 , unit : '10^3 Km^3/month'}      ; monthly mean
 
   ;
@@ -82,11 +85,15 @@
   jpt=12
   time=julday(1,15,1900)+30*lindgen(12)
-  pltt, ICE_area_export, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT,MIN = 0., MAX = 2. $
-        , small = [1, 2, 1],YTITLE = '10^6 Km^2/year',  TITLE = title, _extra = ex
+  ;; pltt, ICE_area_export, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT,MIN = 0., MAX = .5 $
+  pltt, ICE_area_export, 't', 0., 15., /REMPLI, /PORTRAIT,MIN = 0., MAX = .5 $
+  ;;      , small = [1, 2, 1], YTITLE = varunit, TITLE = title, _extra = ex
+        , small = [1, 2, 1],YTITLE = '10^6 Km^2/month',  TITLE = title, _extra = ex    
   ;
   ;title ='Southern Hemisphere' +'!C'+prefix+' '+d1_d2+' - '+'!C'+'Global Annual Mean Ice Volume (Black SOLID simulation)'
   title = 'Fram Strait Volume Export'+'!C'+prefix+' '+d1_d2
-  pltt, ICE_vol_export, 't', 0., 15.,19000101 ,19001231 , /REMPLI, /NOERASE , MIN = 0., MAX = 6. $
-        , small = [1, 2, 2], YTITLE = '10^3 Km^3/year', TITLE = title, _extra = ex
+  ;; pltt, ICE_vol_export, 't', 0., 15.,19000101 ,19001231 , /REMPLI, /NOERASE , MIN = 0., MAX = .5 $
+  pltt, ICE_vol_export, 't', 0., 15., /REMPLI, /NOERASE , MIN = 0., MAX = .5 $
+  ;;       , small = [1, 2, 2], YTITLE = varunit, TITLE = title, _extra = ex
+       , small = [1, 2, 2], YTITLE = '10^3 Km^3/month', TITLE = title, _extra = ex
   ;
   htmltxt = [ htmltxt, '<hr>'+blabla, '<br><img width="80%" src='+filename+'.png  />  ' ]
@@ -119,9 +126,11 @@
     ICE_area_export_2 = reform(ICE_area_export_2, 12, nyr)
     ICE_area_export_2 = total(ICE_area_export_2,2)/nyr
-    ICE_area_export_2 = {arr:ICE_area_export_2 * 1.e-12 * 86400 * 365 , unit : '10^6 Km^2/year'}
+    ; ICE_area_export_2 = {arr:ICE_area_export_2 * 1.e-12 * 86400 * 365 , unit : '10^6 Km^2/year'}   ; annual mean
+    ICE_area_export_2 = {arr:ICE_area_export_2 * 1.e-12 * 86400 * 30 , unit : '10^6 Km^2/month'}     ; monthly mean
     ;
     ICE_vol_export_2 = reform(ICE_vol_export_2, 12, nyr)
     ICE_vol_export_2 = total(ICE_vol_export_2,2)/nyr
-    ICE_vol_export_2 = {arr:ICE_vol_export_2 * 1.e-12 * 86400 * 365 , unit : '10^3 Km^3/year'}
+    ; ICE_vol_export_2 = {arr:ICE_vol_export_2 * 1.e-12 * 86400 * 365 , unit : '10^3 Km^3/year'}     ; annual mean
+    ICE_vol_export_2 = {arr:ICE_vol_export_2 * 1.e-12 * 86400 * 30 , unit : '10^3 Km^3/month'}       ; monthly mean
     ;
     ;
@@ -131,15 +140,22 @@
     jpt=12
     time=julday(1,15,1900)+30*lindgen(12)
-    pltt, ICE_area_export.arr, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, MIN = 0., MAX = 2., window = 2 $
-        , small = [1, 2, 1],YTITLE = '10^6 Km^2/year',  TITLE = title, _extra = ex
-    pltt, ICE_area_export_2.arr ,'t', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT $
-        , /ov1d, COLOR = 250, small = [1, 2, 1],YTITLE = '10^6 Km^2/year',  TITLE = title, _extra = ex
-    ;
+    ;; pltt, ICE_area_export.arr, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT, MIN = 0., MAX = .5, window = 2 $
+    pltt, ICE_area_export, 't', 0., 15., /REMPLI, /PORTRAIT, MIN = 0., MAX = .5, window = 2 $
+    ;;    , small = [1, 2, 1], YTITLE = varunit, TITLE = title, _extra = ex
+        , small = [1, 2, 1], YTITLE = '10^6 Km^2/month',  TITLE = title, _extra = ex    
+    ;; pltt, ICE_area_export_2.arr ,'t', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT $
+    pltt, ICE_area_export_2 ,'t', 0., 15., /REMPLI, /PORTRAIT $
+    ;;    , /ov1d, COLOR = 250, small = [1, 2, 1], YTITLE = varunit,  TITLE = title, _extra = ex
+        , /ov1d, COLOR = 250, small = [1, 2, 1],YTITLE = '10^6 Km^2/month',  TITLE = title, _extra = ex
     ;
     title = 'Fram Strait Volume Export'+'!C'+prefix+' (BLACK) - '+prefix2+' (RED) '+d1_d2_2
-    pltt, ICE_vol_export.arr, 't', 0., 15.,19000101 ,19001231 , /REMPLI, /NOERASE , MIN = 0., MAX = 6. $
-        , small = [1, 2, 2], YTITLE = '10^3 Km^3/year', TITLE = title, _extra = ex
-    pltt, ICE_vol_export_2.arr, 't', 0., 15.,19000101 ,19001231 , /REMPLI, /NOERASE  $
-        , /ov1d, COLOR = 250, small = [1, 2, 2], YTITLE = '10^3 Km^3/year', TITLE = title, _extra = ex
+    ;; pltt, ICE_vol_export.arr, 't', 0., 15.,19000101 ,19001231 , /REMPLI, /NOERASE , MIN = 0., MAX = .5 $
+    pltt, ICE_vol_export, 't', 0., 15., /REMPLI, /NOERASE , MIN = 0., MAX = .5 $
+    ;;    , small = [1, 2, 2], YTITLE = varunit, TITLE = title, _extra = ex
+        , small = [1, 2, 2], YTITLE = '10^3 Km^3/month', TITLE = title, _extra = ex
+    ;; pltt, ICE_vol_export_2.arr, 't', 0., 15.,19000101 ,19001231 , /REMPLI, /NOERASE  $
+    pltt, ICE_vol_export_2, 't', 0., 15.,  /REMPLI, /NOERASE  $
+    ;;    , /ov1d, COLOR = 250, small = [1, 2, 2], YTITLE = varunit, TITLE = title, _extra = ex
+        , /ov1d, COLOR = 250, small = [1, 2, 2], YTITLE = '10^3 Km^3/month', TITLE = title, _extra = ex
     ;
 
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_Vol.pro
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_Vol.pro	(revision 4494)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_Vol.pro	(revision 4495)
@@ -65,10 +65,10 @@
   jpt=12
   time=julday(1,15,1900)+30*lindgen(12)
-  pltt, ICE_vol_N, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT,MIN = 0., MAX = 30000. $
-        , small = [1, 2, 1], YTITLE = 'Km^3 ', TITLE = title, _extra = ex
+  pltt, ICE_vol_N, 't', 0., 15., /REMPLI, /PORTRAIT,MIN = 0., MAX = 30000. $
+        , small = [1, 2, 1], YTITLE = '10^9 Km^3 ', TITLE = title, _extra = ex
 ;
   title ='Southern Hemisphere' +'!C'+prefix+' '+d1_d2+' - '+'!C'+'Global Annual Mean Ice Volume (BLACK)'
-  pltt, ICE_vol_S, 't', 0., 15.,19000101 ,19001231 , /REMPLI, /NOERASE , MIN = 0., MAX = 11000. $
-        , small = [1, 2, 2], YTITLE = 'Km^3 ', TITLE = title, _extra = ex
+  pltt, ICE_vol_S, 't', 0., 15., /REMPLI, /NOERASE , MIN = 0., MAX = 11000. $
+        , small = [1, 2, 2], YTITLE = '10^9 Km^3 ', TITLE = title, _extra = ex
 ;
   htmltxt = [ htmltxt, '<hr>'+blabla, '<br><img width="80%" src='+filename+'.png  />  ' ]
@@ -112,14 +112,14 @@
     jpt=12
     time=julday(1,15,1900)+30*lindgen(12)
-    pltt, ICE_vol_N.arr, 't', -125., -60., 19000101, 19001231, /REMPLI, /PORTRAIT, MIN = 0., MAX = 30000., window = 2 $
-          , small = [1, 2, 1], YTITLE = 'Km^3 ', TITLE = title, _extra = ex
-    pltt, ICE_vol_N2.arr , 't', -.2, .2, 19000101, 19001231, /REMPLI, /PORTRAIT $ ; linee tratteggiate LINESTYLE=2  $
-        , /ov1d, COLOR = 250, small = [1, 2, 1], YTITLE = 'Km^3 ', TITLE = title, _extra = ex
+    pltt, ICE_vol_N, 't', -125., -60., /REMPLI, /PORTRAIT, MIN = 0., MAX = 30000., window = 2 $
+          , small = [1, 2, 1], YTITLE = '10^9 Km^3 ', TITLE = title, _extra = ex
+    pltt, ICE_vol_N2 , 't', -.2, .2, /REMPLI, /PORTRAIT $ ; linee tratteggiate LINESTYLE=2  $
+        , /ov1d, COLOR = 250, small = [1, 2, 1], YTITLE = '10^9 Km^3 ', TITLE = title, _extra = ex
     ;
     title = 'Southern Hemisphere'+'!C'+prefix+' (BLACK) - '+prefix2+' (RED) '+d1_d2_2+'!C'+'Global Annual Mean Ice Volume'
-    pltt, ICE_vol_S.arr, 't', -620., -10., 19000101, 19001231, /REMPLI, /NOERASE, MIN = 0., MAX = 11000. $
-          , small = [1, 2, 2], YTITLE = 'Km^3 ', TITLE = title, _extra = ex   
-    pltt, ICE_vol_S2.arr, 't', -620., -10., 19000101, 19001231, /REMPLI, /NOERASE $
-          , /ov1d, COLOR = 250, small = [1, 2, 2], YTITLE = 'Km^3 ', TITLE = title, _extra = ex   
+    pltt, ICE_vol_S, 't', -620., -10., /REMPLI, /NOERASE, MIN = 0., MAX = 11000. $
+          , small = [1, 2, 2], YTITLE = '10^9 Km^3 ', TITLE = title, _extra = ex   
+    pltt, ICE_vol_S2, 't', -620., -10., /REMPLI, /NOERASE $
+          , /ov1d, COLOR = 250, small = [1, 2, 2], YTITLE = '10^9 Km^3 ', TITLE = title, _extra = ex   
 
     htmltxt = [ htmltxt, '<hr>'+blabla, '<br><img width="80%" src='+filename+'_2.png  />  ' ]
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_Q.pro
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_Q.pro	(revision 4494)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_Q.pro	(revision 4495)
@@ -33,7 +33,9 @@
     time = tsave   &   IF n_elements(time) NE jpt THEN stop
 
-    title = prefix+' '+d1_d2+' - '+prefix2+' '+d1_d2_2+'!C'+blabla
-    pltt, ts_Q.arr - ts_Q2.arr, 't', -4., 4., date1, date2, /REMPLI $
-          , color = 250, small = [1, 2, 2], YTITLE = varunit, TITLE = title, /noerase, _extra = ex
+    title = prefix+' (BLACK)  - '+prefix2+' (RED) '+d1_d2_2+'!C'+blabla
+    pltt, ts_Q.arr , 't', -4., 4., date1, date2, /REMPLI $
+          , small = [1, 2, 2], YTITLE = varunit, TITLE = title, /noerase, _extra = ex
+    pltt, ts_Q2.arr, 't', -4., 4., date1, date2, /REMPLI $
+          , /ov1d, color = 250, small = [1, 2, 2], YTITLE = varunit, TITLE = title, /noerase, _extra = ex
 
   ENDIF 
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_S.pro
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_S.pro	(revision 4494)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_S.pro	(revision 4495)
@@ -68,9 +68,9 @@
     if KEYWORD_SET(postscript) then openps, filename+'_3.ps', portrait = 1
 
-    title = prefix+' '+d1_d2+' - '+prefix2+' '+d1_d2_2+'!C'+blabla
+    title = prefix+' - '+prefix2+' '+d1_d2_2+'!C'+blabla
     pltt, ts_Sal - ts_Sal2, 't', -0.1, 0.1, date1, date2, /REMPLI $
           , COLOR = 250, small = [1, 2, 1], YTITLE = varunit, TITLE = title, /PORTRAIT, window = 2, _extra = ex
 
-    title = prefix+' '+d1_d2+' - '+prefix2+' '+d1_d2_2+'!C ZT-plot (0-6000m) '+blabla
+    title = prefix+' - '+prefix2+' '+d1_d2_2+'!C ZT-plot (0-6000m) '+blabla
     pltt, ts_z - ts_z2, 'zt', -0.1, 0.1, INTER = .01, date1, date2, /REMPLI, style = 'so0so' $ 
           , small = [1, 2, 2], YTITLE = varunit, TITLE = title, boxzoom = 6000., /NOERASE, _extra = ex
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_SSH.pro
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_SSH.pro	(revision 4494)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_SSH.pro	(revision 4495)
@@ -38,5 +38,5 @@
     time = tsave   &   IF n_elements(time) NE jpt THEN stop
 
-    title = prefix+' '+d1_d2+' - '+prefix2+' '+d1_d2_2+'!C'+blabla
+    title = prefix+' (BLACK) - '+prefix2+' (RED) '+d1_d2_2+'!C'+blabla
     pltt, ts_SSH.arr - ts_SSH2.arr, 't', -10., 10., date1, date2, /REMPLI $
           ;SF , color = 250, small = [1, 2, 2], YTITLE = 'cm', TITLE = title, /noerase, _extra = ex
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_T.pro
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_T.pro	(revision 4494)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_T.pro	(revision 4495)
@@ -68,9 +68,9 @@
     if KEYWORD_SET(postscript) then openps, filename+'_3.ps', portrait = 1
 
-    title = prefix+' '+d1_d2+' - '+prefix2+' '+d1_d2_2+'!C'+blabla
+    title = prefix+' - '+prefix2+' '+d1_d2_2+'!C'+blabla
     pltt, ts_Temp - ts_Temp2, 't', -1., 1., date1, date2, /REMPLI $
           , COLOR = 250, small = [1, 2, 1], YTITLE = varunit, TITLE = title, /PORTRAIT, window = 2, _extra = ex
 
-    title = prefix+' '+d1_d2+' - '+prefix2+' '+d1_d2_2+'!C ZT-plot (0-6000m) '+blabla
+    title = prefix+' - '+prefix2+' '+d1_d2_2+'!C ZT-plot (0-6000m) '+blabla
     pltt, ts_z - ts_z2, 'zt', -1., 1., inter = .1, date1, date2, /REMPLI, style = 'so0so' $ 
           , small = [1, 2, 2], YTITLE = varunit, TITLE = title, boxzoom = 6000., /NOERASE, _extra = ex