Index: branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_SnowThick.pro
===================================================================
--- branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_SnowThick.pro	(revision 4499)
+++ branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_SnowThick.pro	(revision 4501)
@@ -22,5 +22,5 @@
     domdef, 20, 380, 50, 90
     vmin = 0.
-    vmax = 2.
+    vmax = 1.
     vint = 0.1
     ;fmt = '(i2)'
@@ -36,5 +36,5 @@
     domdef, 20, 380, -90, -50
     vmin = 0.
-    vmax = 2.
+    vmax = 1.
     vint = 0.1
     fmt = '(f4.1)'
Index: branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all.pro
===================================================================
--- branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all.pro	(revision 4499)
+++ branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all.pro	(revision 4501)
@@ -209,26 +209,25 @@
   ENDELSE
 ;
-;; Sf commentato perché non funziona snow
-;; Sf   Isnow_1 = read_ncdf(getenv('VAR1_Isnow'), allrecords = allrec, filename = std_file1_I ) 
-;; Sf   help, Isnow_1.arr, jpi,jpj
-;; Sf   caldat, time, mm
-;; Sf   april = where(mm EQ 4, cnt)
-;; Sf   Isnow_april_1 = {arr:1./float(cnt) * total(reform(Isnow_1.arr[*, *, temporary(april)],nxt,nyt,cnt), 3), unit:Isnow_1.unit} 
-;; Sf   sept = where(mm EQ 9, cnt)
-;; Sf   Isnow_sept_1 = {arr:1./float(cnt) * total(reform(Isnow_1.arr[*, *, temporary(sept)],nxt,nyt,cnt), 3), unit:Isnow_1.unit}
-;; Sf   ;undefine, Isnow_1
-;; Sf ;
-;; Sf   IF std_file2_I NE std_file1_I THEN BEGIN
-;; Sf     Isnow_2 = read_ncdf(getenv('VAR2_Isnow'), allrecords = allrec, filename = std_file2_I ) 
-;; Sf     caldat, time, mm
-;; Sf     april = where(mm EQ 4, cnt)
-;; Sf     Isnow_april_2 = {arr:1./float(cnt) * total(reform(Isnow_2.arr[*, *, temporary(april)],nxt,nyt,cnt), 3), unit:Isnow_2.unit}
-;; Sf     sept = where(mm EQ 9, cnt)
-;; Sf     Isnow_sept_2 = {arr:1./float(cnt) * total(reform(Isnow_2.arr[*, *, temporary(sept)],nxt,nyt,cnt), 3), unit:Isnow_2.unit}
-;; Sf   ;  undefine, Isnow_2
-;; Sf   ENDIF ELSE BEGIN 
-;; Sf     Isnow_april_2 = {arr:-1}
-;; Sf     Isnow_sept_2 = {arr:-1}
-;; Sf   ENDELSE
+   Isnow_1 = read_ncdf(getenv('VAR1_Isnow'), allrecords = allrec, filename = std_file1_I ) 
+   help, Isnow_1.arr, jpi,jpj
+   caldat, time, mm
+   april = where(mm EQ 4, cnt)
+   Isnow_april_1 = {arr:1./float(cnt) * total(reform(Isnow_1.arr[*, *, temporary(april)],nxt,nyt,cnt), 3), unit:Isnow_1.unit} 
+   sept = where(mm EQ 9, cnt)
+   Isnow_sept_1 = {arr:1./float(cnt) * total(reform(Isnow_1.arr[*, *, temporary(sept)],nxt,nyt,cnt), 3), unit:Isnow_1.unit}
+   ;undefine, Isnow_1
+ ;
+   IF std_file2_I NE std_file1_I THEN BEGIN
+     Isnow_2 = read_ncdf(getenv('VAR2_Isnow'), allrecords = allrec, filename = std_file2_I ) 
+     caldat, time, mm
+     april = where(mm EQ 4, cnt)
+     Isnow_april_2 = {arr:1./float(cnt) * total(reform(Isnow_2.arr[*, *, temporary(april)],nxt,nyt,cnt), 3), unit:Isnow_2.unit}
+     sept = where(mm EQ 9, cnt)
+     Isnow_sept_2 = {arr:1./float(cnt) * total(reform(Isnow_2.arr[*, *, temporary(sept)],nxt,nyt,cnt), 3), unit:Isnow_2.unit}
+   ;  undefine, Isnow_2
+   ENDIF ELSE BEGIN 
+     Isnow_april_2 = {arr:-1}
+     Isnow_sept_2 = {arr:-1}
+   ENDELSE
 ;
   jpt = 1
@@ -365,17 +364,16 @@
   cnt = cnt+1   &   blabla = 'Antarctic Ice Fraction: SEPT'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceFrac, Ifra_sept_1, Ifra_sept_2, /ANT, /SEPT, _extra = ex
-;; SF need to be reviewed, it does not work, it need a structure!!!!
-;; SF
-;; SF  cnt = cnt+1   &   blabla = 'Arctic SNOW Thickness: APRIL'
-;; SF  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_april_1, Isnow_april_2, /ARC, /APRIL, _extra = ex
-;; SF 
-;; SF   cnt = cnt+1   &   blabla = 'Arctic SNOW Thickness: SEPT'
-;; SF   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_sept_1, Isnow_sept_2, /ARC, /SEPT, _extra = ex
-;; SF  
-;; SF   cnt = cnt+1   &   blabla = 'Antarctic SNOW Thickness: APRIL'
-;; SF   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_april_1, Isnow_april_2, /ANT, /APRIL, _extra = ex
-;; SF  
-;; SF   cnt = cnt+1   &   blabla = 'Antarctic SNOW Thickness: SEPT'
-;; SF   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_sept_1, Isnow_sept_2, /ANT, /SEPT, _extra = ex
+;
+  cnt = cnt+1   &   blabla = 'Arctic SNOW Thickness: APRIL'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_april_1, Isnow_april_2, /ARC, /APRIL, _extra = ex
+; 
+   cnt = cnt+1   &   blabla = 'Arctic SNOW Thickness: SEPT'
+   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_sept_1, Isnow_sept_2, /ARC, /SEPT, _extra = ex
+;  
+   cnt = cnt+1   &   blabla = 'Antarctic SNOW Thickness: APRIL'
+   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_april_1, Isnow_april_2, /ANT, /APRIL, _extra = ex
+; 
+   cnt = cnt+1   &   blabla = 'Antarctic SNOW Thickness: SEPT'
+   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_sept_1, Isnow_sept_2, /ANT, /SEPT, _extra = ex
 ; 
 ; NOT NEEDED, only for TIME SERIES NOW ICE EXTEND
Index: branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_SNOW_Vol.pro
===================================================================
--- branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_SNOW_Vol.pro	(revision 4499)
+++ 	(revision )
@@ -1,156 +1,0 @@
-function read_arr2d, filename, varname, t1, t2
-;; function that read input file and return 2d array with monthly timecounter 
-nyear = (t2-t1+1)/12
-arr2d = ncdf_lec(filename, VAR=varname)
-arr2d = arr2d[t1:t2]
-arr2d = reform(arr2d,12,nyear) ; put in 2D array
-arr2d = total(arr2d,2)/nyear ; total over 2th dimension (i.e.years)
-
-return, arr2d
-end 
-
-;
-;
-pro std_ts_SNOW_Vol, masknp, s_iodir_data,  POSTSCRIPT = postscript, _extra = ex
-
-  compile_opt idl2, strictarrsubs
-  
-@common
-@std_common
-
-; get exp1 info
-  vICE1     = getenv('VAR1_SNOW')     &   prefix = getenv('V1SNOW_PREF')  &   suffix = getenv('V1SNOW_SUFF')
-
-;;;;SF ???? come faccio lo snow volume se ho solo snowthickness???
-;;;;SF ???? quale variabile in output nel file iodef? e moltiplicarla per snowthicness?
-
-
-
-  v1_Ithick = getenv('VAR1_Ithick')  &   prefix = getenv('V1It_PREF')   &   suffix = getenv('V1It_SUFF')
-; get exp2 info
-  vICE2     = getenv('VAR2_ICE')     &   prefix2 = getenv('V2ICE_PREF')   &   suffix2 = getenv('V2ICE_SUFF')
-  v2_Ithick = getenv('VAR2_Ithick')  &   prefix2 = getenv('V2It_PREF')    &   suffix2 = getenv('V2It_SUFF')
-
-; get ice climatology info
-;
-;; METTERE CLIMATOLOGIA VOLUME SE TROVATA
-;
-;  std_file_ice =  isafile(getenv('FILE_ICE'), title = 'ICE Extent Climatology', iodir = std_iodir_climato)
-;
-;  time_ice = ncdf_lec( std_file_ice, VAR='time' )
-;  time_ice = (time_ice - FLOOR(time_ice) ) * 12
-;  time_ice = round(time_ice) ; round to nearest integer 
-;  t1 = where(time_ice eq 0)
-;  t1 = t1[0] ;  jannuary
-;  t2 = where(time_ice eq 11, count)
-;  t2 = t2[count-1] ; last day of december
-;  nyear = (t2-t1+1)/12
-;  vICE_Ithick_NH = read_arr2d(std_file_ice, getenv('VAR1_Ithick'), t1, t2 )
-;  vICE_Ithick_SH = read_arr2d(std_file_ice, getenv('VAR_ICE_EXT_SH'), t1, t2 )
-;
-; vICE_area_NH = read_arr2d(std_file_ice, getenv('VAR_ICE_area_NH'), t1, t2 )
-;  vICE_area_SH = read_arr2d(std_file_ice, getenv('VAR_ICE_area_SH'), t1, t2 )
-;  
-  cdti3 = string(cnt, format = '(i3.3)')
-  print, cdti3 + ') ' + blabla
-  filename = cdti3 + '_ts_ICE_'+prefix
-  if prefix NE prefix2 then filename = filename + '_'+prefix2
-  if KEYWORD_SET(postscript) then openps, filename+'.ps', portrait = 1
-  d1_d2 = '('+strtrim(date1, 1)+' - '+strtrim(date2, 1)+')'
-  iodir = std_iodir_data
-  ; ICE Area(=Surface) in NORTH Hemisphere
-  domdef, 0, jpi-1, 30, 90, /xindex
-  ICE_N = rseries_ncdf(vICE1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec)
-  ICE_thick = rseries_ncdf(v1_Ithick, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec)
-  ; Volume = Area(=Surface) * Thickness
-  ICE_vol_N = (ICE_N.arr < 1.e10 ) * ( ICE_thick.arr < 1.e10)  ; limited mask value of 1.e20, because 1.e20 * 1.e20 = inf for idl
-  ICE_vol_N = grossemoyenne(ICE_vol_N, 'xy', /integration, mask2d = masknp)
-  if jpt mod 12 ne 0 then stop
-  nyr=jpt/12.
-  ICE_vol_N = reform(ICE_vol_N, 12, nyr)
-  ICE_vol_N = total(ICE_vol_N,2)/nyr
- ; ICE_vol_N = {arr:ICE_vol_N * 1.e-3, unit : '10^3 Km^3'}
-  ICE_vol_N = {arr:ICE_vol_N * 1.e-9, unit : '10^9 Km^3'}
-  ;ICE Area(=Surface) in SOUTH Hemisphere
-  domdef, 0, jpi-1, -90, -30, /xindex 
-  ICE_S = rseries_ncdf(vICE1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec)
-  ICE_thick = rseries_ncdf(v1_Ithick, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec)
-  ; Volume = Area(=Surface) * Thickness
-  ICE_vol_S = (ICE_S.arr < 1.e10 ) * ( ICE_thick.arr < 1.e10)  ; limited mask value of 1.e20, because 1.e20 * 1.e20 = inf for idl
-  ICE_vol_S = grossemoyenne(ICE_vol_S, 'xy', /integration, mask2d = masknp)
-  if jpt mod 12 ne 0 then stop
-  nyr=jpt/12.
-  ICE_vol_S = reform(ICE_vol_S, 12, nyr)
-  ICE_vol_S = total(ICE_vol_S,2)/nyr
-;print, 'prima valore di ice vol s'
-;print, ICE_vol_S
-  ICE_vol_S = {arr:ICE_vol_S * 1.e-9, unit : '10^9 Km^3'}
-;print, 'DOPO valore di ice vol s'
-;print, ICE_vol_S
-  ;
-  title = 'Northern Hemisphere'+'!C'+prefix+' '+d1_d2+'!C'+'Global Annual Mean Ice Volume (Black SOLID simulation) + Observation (dashed)'
-  jpt=12
-  time=julday(1,15,1900)+30*lindgen(12)
-  pltt, ICE_vol_N, 't', 0., 15., 19000101, 19001231, /REMPLI, /PORTRAIT,MIN = 0., MAX = 30000. $
-        , small = [1, 2, 1], YTITLE = '10^9 Km^3 ', TITLE = title, _extra = ex
-;
-  title ='Southern Hemisphere' +'!C'+prefix+' '+d1_d2+' - '+'!C'+'Global Annual Mean Ice Volume (Black SOLID simulation) + Observation (dashed)'
-  pltt, ICE_vol_S, 't', 0., 15.,19000101 ,19001231 , /REMPLI, /NOERASE , MIN = 0., MAX = 11000. $
-        , small = [1, 2, 2], YTITLE = '10^9 Km^3 ', TITLE = title, _extra = ex
-;
-
-;;return
-  htmltxt = [ htmltxt, '<hr>'+blabla, '<br><img width="80%" src='+filename+'.png  />  ' ]
-  if KEYWORD_SET(postscript) then closeps
-
-  if prefix NE prefix2 then BEGIN
-
-    d1_d2_2 = '('+strtrim(date1_2, 1)+' - '+strtrim(date2_2, 1)+')'
-    tsave = time
-    domdef, 0, jpi-1, 30, 90, /xindex
-    ;ICE Extent in NORTH Hemisphere
-    ICE_N2 = rseries_ncdf(vICE2, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec)
-    ICE_thick2 = rseries_ncdf(v2_Ithick, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec)
-    ; Volume = Area(=Surface) * Thickness
-    ICE_vol_N2 = (ICE_N2.arr < 1.e10 ) * ( ICE_thick2.arr < 1.e10) ; limited mask value of 1.e20, because 1.e20 * 1.e20 = inf for idl
-    ICE_vol_N2 = grossemoyenne(ICE_vol_N2, 'xy', /integration, mask2d = masknp)
-    if jpt mod 12 ne 0 then stop
-    nyr=jpt/12.
-    ICE_vol_N2 = reform(ICE_vol_N2, 12, nyr)
-    ICE_vol_N2 = total(ICE_vol_N2,2)/nyr
-    ICE_vol_N2 = {arr:ICE_vol_N2 * 1.e-9, unit : '10^3 Km^3'}
-
-    ;ICE Area(=Surface) in SOUTH Hemisphere
-    domdef, 0, jpi-1, -90, -30, /xindex 
-    ICE_S2 = rseries_ncdf(vICE2, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec)
-    ICE_thick2 = rseries_ncdf(v2_Ithick, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec)
-    ; Volume = Area(=Surface) * Thickness
-    ICE_vol_S2 = (ICE_S2.arr < 1.e10 ) * ( ICE_thick.arr < 1.e10) ; limited mask value of 1.e20, because 1.e20 * 1.e20 = inf for idl
-    ICE_vol_S2 = grossemoyenne(ICE_vol_S2, 'xy', /integration, mask2d = masknp)
-    if jpt mod 12 ne 0 then stop
-    nyr=jpt/12.
-    ICE_vol_S2 = reform(ICE_vol_S2, 12, nyr)
-    ICE_vol_S2 = total(ICE_vol_S2,2)/nyr
-    ICE_vol_S2 = {arr:ICE_vol_S2 * 1.e-9, unit : '10^3 Km^3'}
-
-    time = tsave   &   IF n_elements(time) NE jpt THEN stop
-
-    if KEYWORD_SET(postscript) then openps, filename+'.ps', portrait = 1
-
-    title = prefix+' '+d1_d2+' - '+prefix2+' '+d1_d2_2+'!C'+'Global Annual Mean Ice Volume (North. Hemisp.)'
-    pltt, ICE_vol_N.arr - ICE_vol_N2.arr, 't', -2., 2., date1, date2, /REMPLI, /PORTRAIT, window = 2 $
-          , COLOR = 250, small = [1, 2, 1], YTITLE = '10^9 Km^3 ', TITLE = title, _extra = ex
-   ;
-    title = prefix+' '+d1_d2+' - '+prefix2+' '+d1_d2_2+'!C'+'Global Annual Mean Ice Area (South. Hemisp.)'
-    pltt, ICE_vol_S.arr - ICE_vol_S2.arr, 't', -2., 2., date1, date2, /REMPLI, /NOERASE $
-          , COLOR = 250, small = [1, 2, 2], YTITLE = '10^9 Km^3 ', TITLE = title, _extra = ex    
-
-    htmltxt = [ htmltxt, '<hr>'+blabla, '<br><img width="80%" src='+filename+'.png  />  ' ]
-    if KEYWORD_SET(postscript) then closeps
-
-  endif
-
-  domdef
-
-  return
-end
Index: branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_all.pro
===================================================================
--- branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_all.pro	(revision 4499)
+++ branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_all.pro	(revision 4501)
@@ -72,5 +72,5 @@
   IF doplot EQ cnt OR doplot EQ 0 THEN std_ts_AMOC, masknp, POSTSCRIPT = postscript, _extra = ex
 ;
-  cnt = cnt+1   &   blabla = 'Sea-Ice cover'
+  cnt = cnt+1   &   blabla = 'Sea-Ice Cover'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_ts_ICE, masknp, POSTSCRIPT = postscript, _extra = ex
 ;
@@ -78,6 +78,6 @@
   IF doplot EQ cnt OR doplot EQ 0 THEN std_ts_ICE_Vol, masknp, POSTSCRIPT = postscript, _extra = ex
 
-;SF  cnt = cnt+1   &   blabla = 'SNOW Volume'
-;SF   IF doplot EQ cnt OR doplot EQ 0 THEN std_ts_SNOW_Vol, masknp, POSTSCRIPT = postscript, _extra = ex
+;SF  cnt = cnt+1   &   blabla = 'ICE Velocity '
+;SF   IF doplot EQ cnt OR doplot EQ 0 THEN std_ts_ICE_Vel, masknp, POSTSCRIPT = postscript, _extra = ex
 ;
   cnt = cnt+1   &   blabla = 'Sea-Ice Volume Export at Fram Strait'