Index: branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all_last_year_5D.pro
===================================================================
--- branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all_last_year_5D.pro	(revision 4517)
+++ branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all_last_year_5D.pro	(revision 4518)
@@ -105,5 +105,5 @@
 ;climatology 
   QNET = read_ncdf(getenv('VAR_FLUX'), filename = std_file_oaflux )
- 
+
 ; erp (evaporation damping)
   ERP1 = read_ncdf(getenv('VAR1_ERP'), allrecords = allrec, direc = 't', filename = std_file1_T )
@@ -186,5 +186,7 @@
   april = where(mm EQ 4, cnt)
   Ithi_april_1 = {arr:1./float(cnt) * total(reform(Ithi_1.arr[*, *, temporary(april)],nxt,nyt,cnt), 3), unit:Ithi_1.unit}
+  jan = where(mm EQ 1, cnt)
   sept = where(mm EQ 9, cnt)
+  Ithi_jan_1 = {arr:1./float(cnt) * total(reform(Ithi_1.arr[*, *, temporary(jan)],nxt,nyt,cnt), 3), unit:Ithi_1.unit} 
   Ithi_sept_1 = {arr:1./float(cnt) * total(reform(Ithi_1.arr[*, *, temporary(sept)],nxt,nyt,cnt), 3), unit:Ithi_1.unit} 
   undefine, Ithi_1
@@ -195,14 +197,19 @@
      april = where(mm EQ 4, cnt)
      Ithi_april_2 = {arr:1./float(cnt) * total(reform(Ithi_2.arr[*, *, temporary(april)],nxt,nyt,cnt), 3), unit:Ithi_2.unit} 
+     jan = where(mm EQ 1, cnt)
      sept = where(mm EQ 9, cnt)
      Ithi_sept_2 = {arr:1./float(cnt) * total(reform(Ithi_2.arr[*, *, temporary(sept)],nxt,nyt,cnt), 3), unit:Ithi_2.unit} 
+     Ithi_jan_2 = {arr:1./float(cnt) * total(reform(Ithi_2.arr[*, *, temporary(jan)],nxt,nyt,cnt), 3), unit:Ithi_2.unit} 
      undefine, Ithi_2
   ENDIF ELSE BEGIN 
      Ithi_april_2 = {arr:-1}
      Ithi_sept_2 = {arr:-1}
+     Ithi_jan_2 = {arr:-1}
   ENDELSE
 ;
   Iage_1 = read_ncdf(getenv('VAR1_Iage'), allrecords = allrec, filename = std_file1_I ) 
   caldat, time, mm
+  febr = where(mm EQ 2, cnt)
+  Iage_febr_1 = {arr:1./float(cnt) * total(reform(Iage_1.arr[*, *, temporary(febr)],nxt,nyt,cnt), 3), unit:Iage_1.unit}
   march = where(mm EQ 3, cnt)
   Iage_march_1 = {arr:1./float(cnt) * total(reform(Iage_1.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Iage_1.unit}
@@ -214,4 +221,6 @@
      Iage_2 = read_ncdf(getenv('VAR2_Iage'), allrecords = allrec, filename = std_file2_I ) 
      caldat, time, mm
+     febr = where(mm EQ 2, cnt)
+     Iage_febr_2 = {arr:1./float(cnt) * total(reform(Iage_2.arr[*, *, temporary(febr)],nxt,nyt,cnt), 3), unit:Iage_2.unit} 
      march = where(mm EQ 3, cnt)
      Iage_march_2 = {arr:1./float(cnt) * total(reform(Iage_2.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Iage_2.unit} 
@@ -220,4 +229,5 @@
      undefine, Iage_2
   ENDIF ELSE BEGIN 
+     Iage_febr_2 = {arr:-1}
      Iage_march_2 = {arr:-1}
      Iage_sept_2 = {arr:-1}
@@ -225,6 +235,7 @@
 ;
   Ifra_1 = read_ncdf(getenv('VAR1_Ifrac'), allrecords = allrec, filename = std_file1_I ) 
-  ;; help, Ifra_1.arr, jpi,jpj
   caldat, time, mm
+  febr = where(mm EQ 2, cnt)
+  Ifra_febr_1 = {arr:1./float(cnt) * total(reform(Ifra_1.arr[*, *, temporary(febr)],nxt,nyt,cnt), 3), unit:Ifra_1.unit} 
   march = where(mm EQ 3, cnt)
   Ifra_march_1 = {arr:1./float(cnt) * total(reform(Ifra_1.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Ifra_1.unit} 
@@ -236,4 +247,6 @@
     Ifra_2 = read_ncdf(getenv('VAR2_Ifrac'), allrecords = allrec, filename = std_file2_I ) 
     caldat, time, mm
+    febr = where(mm EQ 2, cnt)
+    Ifra_febr_2 = {arr:1./float(cnt) * total(reform(Ifra_2.arr[*, *, temporary(febr)],nxt,nyt,cnt), 3), unit:Ifra_2.unit}
     march = where(mm EQ 3, cnt)
     Ifra_march_2 = {arr:1./float(cnt) * total(reform(Ifra_2.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Ifra_2.unit}
@@ -242,4 +255,5 @@
     undefine, Ifra_2
   ENDIF ELSE BEGIN 
+    Ifra_febr_2 = {arr:-1}
     Ifra_march_2 = {arr:-1}
     Ifra_sept_2 = {arr:-1}
@@ -248,4 +262,6 @@
    Isnow_1 = read_ncdf(getenv('VAR1_Isnow'), allrecords = allrec, filename = std_file1_I ) 
    caldat, time, mm
+   febr = where(mm EQ 2, cnt)
+   Isnow_febr_1 = {arr:1./float(cnt) * total(reform(Isnow_1.arr[*, *, temporary(febr)],nxt,nyt,cnt), 3), unit:Isnow_1.unit} 
    march = where(mm EQ 3, cnt)
    Isnow_march_1 = {arr:1./float(cnt) * total(reform(Isnow_1.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Isnow_1.unit} 
@@ -257,4 +273,6 @@
      Isnow_2 = read_ncdf(getenv('VAR2_Isnow'), allrecords = allrec, filename = std_file2_I ) 
      caldat, time, mm
+     febr = where(mm EQ 2, cnt)
+     Isnow_febr_2 = {arr:1./float(cnt) * total(reform(Isnow_2.arr[*, *, temporary(febr)],nxt,nyt,cnt), 3), unit:Isnow_2.unit}
      march = where(mm EQ 3, cnt)
      Isnow_march_2 = {arr:1./float(cnt) * total(reform(Isnow_2.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Isnow_2.unit}
@@ -263,4 +281,5 @@
    ;  undefine, Isnow_2
    ENDIF ELSE BEGIN 
+     Isnow_febr_2 = {arr:-1}
      Isnow_march_2 = {arr:-1}
      Isnow_sept_2 = {arr:-1}
@@ -450,16 +469,10 @@
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_Med_Sdepth, S1, S2, SLev, 38, _extra = ex
 ;
-;  cnt = cnt+1   &   blabla = 'Arctic Ice Thickness: MARCH'
-;  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_march_1, Ithi_march_2, /ARC, /MARCH, _extra = ex
+  cnt = cnt+1   &   blabla = 'Arctic Ice Thickness: JAN'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_jan_1, Ithi_jan_2, /ARC, /JAN, _extra = ex
 ;
   cnt = cnt+1   &   blabla = 'Arctic Ice Thickness: APRIL'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_april_1, Ithi_april_2, /ARC, /APRIL, _extra = ex
-;
-  cnt = cnt+1   &   blabla = 'Arctic Ice Thickness: SEPT'
-  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_sept_1, Ithi_sept_2, /ARC, /SEPT, _extra = ex
-;  
-;  cnt = cnt+1   &   blabla = 'Antarctic Ice Thickness: MARCH'
-;  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_march_1, Ithi_march_2, /ANT, /MARCH, _extra = ex
-; 
+;  
   cnt = cnt+1   &   blabla = 'Antarctic Ice Thickness: APRIL'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_april_1, Ithi_april_2, /ANT, /APRIL, _extra = ex
@@ -475,5 +488,5 @@
 ;  
   cnt = cnt+1   &   blabla = 'Antarctic Ice Age: MARCH'
-  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceAge, Iage_march_1, Iage_march_2, /ANT, /MARCH, _extra = ex
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceAge, Iage_febr_1, Iage_febr_2, /ANT, /FEBR, _extra = ex
 ;
   cnt = cnt+1   &   blabla = 'Antarctic Ice Age: SEPT'
@@ -487,5 +500,5 @@
 ;  
   cnt = cnt+1   &   blabla = 'Antarctic Ice Fraction: MARCH'
-  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceFrac, Ifra_march_1, Ifra_march_2, /ANT, /MARCH, _extra = ex
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceFrac, Ifra_febr_1, Ifra_febr_2, /ANT, /FEBR, _extra = ex
 ;
   cnt = cnt+1   &   blabla = 'Antarctic Ice Fraction: SEPT'
@@ -499,5 +512,5 @@
 ;  
   cnt = cnt+1   &   blabla = 'Antarctic SNOW Thickness: MARCH'
-  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_march_1, Isnow_march_2, /ANT, /MARCH, _extra = ex
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_febr_1, Isnow_febr_2, /ANT, /FEBR, _extra = ex
 ; 
   cnt = cnt+1   &   blabla = 'Antarctic SNOW Thickness: SEPT'